//+------------------------------------------------------------------+
//|                                             SIMPLE CROSSOVER.mq4 |
//|                                                      TD Songxaka |
//|                                             https://www.mql5.com |
//+------------------------------------------------------------------+
#property copyright "TD Songxaka"
#property link      "https://www.mql5.com"
#property version   "1.00"
#property strict
//+------------------------------------------------------------------+
//| Expert initialization function                                   |
//+------------------------------------------------------------------+
extern int TakeProfit = 200;
extern int StopLoss = 50;
extern int FastMA = 5;
extern int SlowMA = 10;
extern int RSI = 10;
extern int LotSize = 0.05;

int OnInit()
  {
//---
//---
   return(INIT_SUCCEEDED);
  }
//+------------------------------------------------------------------+
//| Expert deinitialization function                                 |
//+------------------------------------------------------------------+
void OnDeinit(const int reason)
  {
//---   
  }
//+------------------------------------------------------------------+
//| Expert tick function                                             |
//+------------------------------------------------------------------+
void OnTick()
  { 
double PreviousSlowMA = iMA (NULL, 0, SlowMA, 0, MODE_EMA, PRICE_CLOSE, 2);
double CurrentSlowMA = iMA (NULL, 0, SlowMA, 0, MODE_EMA, PRICE_CLOSE, 1);
double PreviousFastMA = iMA (NULL, 0, FastMA, 0, MODE_EMA, PRICE_CLOSE, 2);
double CurrentFastMA = iMA (NULL, 0, FastMA, 0, MODE_EMA, PRICE_CLOSE, 1);
double PreviousRSI = iRSI (NULL, 0, RSI, PRICE_MEDIAN, 2);
double CurrentRSI = iRSI (NULL, 0, RSI, PRICE_MEDIAN, 1);
 
  }
//+---------------------------------------------------------------------------------------+ 
if(PreviousFastMA < PreviousSlowMA && CurrentFastMA > CurrentSlowMA)
{
if(PreviousRSI < 50.00 && CurrentRSI > 50.00)
{
orderSend(Symbol(), OP_BUY, LotSize, Ask, 5, Ask - (StopLoss*Point), Ask + (TakeProfit*Point), NULL);
}}


if(PreviousFastMA > PreviousSlowMA && CurrentFastMA < CurrentSlowMA)
{
if(PreviousRSI > 50.00 && CurrentRSI < 50.00)
{
orderSend(Symbol(), OP_SELL, LotSize, Bid, 5, Bid + (StopLoss*Point), Bid - (TakeProfit*Point), NULL);
}}

  }
//+------------------------------------------------------------------+
